| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiPython.Persistency.FileDescription Class Reference
Inheritance diagram for GaudiPython.Persistency.FileDescription:
[legend]
Collaboration diagram for GaudiPython.Persistency.FileDescription:
[legend]

## Public Member Functions
def | __init__ (self, filename, opt, svc, sel=None, collection=None, fun=None)
def | __data__ (self)
def | __str__ (self)

## Public Attributes
| filename
| opt
| svc
| sel
| collection
| fun

## Detailed Description

Definition at line 48 of file Persistency.py.

## Constructor & Destructor Documentation

def GaudiPython.Persistency.FileDescription.__init__ | ( |  | self,
|  |  | filename,
|  |  | opt,
|  |  | svc,
|  |  | sel = `None`,
|  |  | collection = `None`,
|  |  | fun = `None`
| ) |  |

    Class to hold/manipulate the file description.

    @param filename: name of the file
    @param opt: option (READ/CREATE/RECREATE/WRITE)
    @param svc: conversion service (or selector)
    @param sel: selection expression
    @param collection: collection
    @param fun: selection class

Definition at line 49 of file Persistency.py.

49 def __init__(self, filename, opt, svc, sel=None, collection=None, fun=None):
50 '''
51 Class to hold/manipulate the file description.
52
53 @param filename: name of the file
54 @param opt: option (READ/CREATE/RECREATE/WRITE)
55 @param svc: conversion service (or selector)
56 @param sel: selection expression
57 @param collection: collection
58 @param fun: selection class
59 '''
60 self.filename = filename
61 self.opt = opt
62 self.svc = svc
63 self.sel = sel
64 self.collection = collection
65 self.fun = fun
66
GaudiPython.Persistency.FileDescription.collection
collection
Definition: Persistency.py:64
GaudiPython.Persistency.FileDescription.filename
filename
Definition: Persistency.py:60
GaudiPython.Persistency.FileDescription.svc
svc
Definition: Persistency.py:62
GaudiPython.Persistency.FileDescription.__init__
def __init__(self, filename, opt, svc, sel=None, collection=None, fun=None)
Definition: Persistency.py:49
GaudiPython.Persistency.FileDescription.opt
opt
Definition: Persistency.py:61
GaudiPython.Persistency.FileDescription.sel
sel
Definition: Persistency.py:63
GaudiPython.Persistency.FileDescription.fun
fun
Definition: Persistency.py:65

## Member Function Documentation

def GaudiPython.Persistency.FileDescription.__data__ | ( |  | self | ) |

    Return a list of pairs describing the instance.

Definition at line 67 of file Persistency.py.

67 def __data__(self):
68 '''
69 Return a list of pairs describing the instance.
70 '''
71 return [("DATAFILE", self.filename),
72 ("OPT", self.opt),
73 ("SVC", self.svc),
74 ("SEL", self.sel),
75 ("COLLECTION", self.collection),
76 ("FUN", self.fun)]
77
GaudiPython.Persistency.FileDescription.collection
collection
Definition: Persistency.py:64
GaudiPython.Persistency.FileDescription.__data__
def __data__(self)
Definition: Persistency.py:67
GaudiPython.Persistency.FileDescription.filename
filename
Definition: Persistency.py:60
GaudiPython.Persistency.FileDescription.svc
svc
Definition: Persistency.py:62
GaudiPython.Persistency.FileDescription.opt
opt
Definition: Persistency.py:61
GaudiPython.Persistency.FileDescription.sel
sel
Definition: Persistency.py:63
GaudiPython.Persistency.FileDescription.fun
fun
Definition: Persistency.py:65

def GaudiPython.Persistency.FileDescription.__str__ | ( |  | self | ) |

    Return the string representation of the file description to be passed
    to the application.

Definition at line 78 of file Persistency.py.

78 def __str__(self):
79 """
80 Return the string representation of the file description to be passed
81 to the application.
82 """
83 return " ".join(["%s='%s'" % (k, v) for k, v in self.__data__() if v])
84
85
GaudiPython.Persistency.FileDescription.__data__
def __data__(self)
Definition: Persistency.py:67
GaudiPython.Persistency.FileDescription.__str__
def __str__(self)
Definition: Persistency.py:78

## Member Data Documentation

GaudiPython.Persistency.FileDescription.collection

Definition at line 64 of file Persistency.py.

GaudiPython.Persistency.FileDescription.filename

Definition at line 60 of file Persistency.py.

GaudiPython.Persistency.FileDescription.fun

Definition at line 65 of file Persistency.py.

GaudiPython.Persistency.FileDescription.opt

Definition at line 61 of file Persistency.py.

GaudiPython.Persistency.FileDescription.sel

Definition at line 63 of file Persistency.py.

GaudiPython.Persistency.FileDescription.svc

Definition at line 62 of file Persistency.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Persistency.py